<template>
    <section>
        <div class="container px-5 py-12 mx-auto">
            <div class="text-center pb-12">
                <h2 class="text-4xl text-smalt-blue-700">Latest Blog Posts</h2>
            </div>
            <div class="flex flex-wrap -m-4">
                <RecordCard v-for="edge in $static.records.edges" :key="edge.node.id" :record="edge.node" />
            </div>
        </div>
    </section>
</template>

<static-query>
    query {
        records: allMediumPost(limit: 6, sortBy: "createdAt", order: ASC) {
            edges {
                node {
                    title
                    creator
                    link
                    pubDate
                    guid
                    content: content_encodedSnippet
                    contentHtml: content_encoded
                    categories
                }
            }
        }
    }
</static-query>

<script>
    import RecordCard from '~/components/RecordCard';

    export default {
        components: {
            RecordCard,
        },
    };
</script>
